Subject: Re: [bug#41548] [PATCH] gnu: mozjs: Remove static library
From: Julien Lepiller <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked]
Date: Sat, 30 May 2020 18:07:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Fri, 29 May 2020 12:54:45 -0400,
Leo Famulari <[email-masked]> a écrit :

> On Thu, May 28, 2020 at 01:57:32PM -0400, Julien Lepiller wrote:
> > Le 28 mai 2020 13:46:49 GMT-04:00, Leo Famulari <[email-masked]>
> > a écrit :  
> > >On Tue, May 26, 2020 at 11:15:57PM +0200, Julien Lepiller wrote:  
> > >> Hi,
> > >> 
> > >> the attached patch removes lib/libjs_static.ajs from the output
> > >> of mozjs, a 30 MB static library.  This mozjs is part of the
> > >> closure of gdm and gnome, so it reduces the size of most desktop
> > >> systems.  
> > >
> > >Awesome! I figure that things seem to keep working without it?  
> > 
> > At least gdm still builds, but I'm not sure how to test it properly
> >  
> 
> You could make a vm-image with %desktop-services, which uses GDM.

Thanks, that's a good idea. I managed to build a vm that way and
unfortunately gdm fails to start, so the static library must be used in
some way. I'm closing this without pushing anything.